Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Remote_Object_Proxy_Impl Class Reference

TAO_Remote_Object_Proxy_Impl. More...

`#include <Remote_Object_Proxy_Impl.h>`

Inheritance diagram for TAO_Remote_Object_Proxy_Impl

[legend]
Collaboration diagram for TAO_Remote_Object_Proxy_Impl:

[legend]
List of all members.

## Public Methods
| TAO_Remote_Object_Proxy_Impl (void)
virtual | ~TAO_Remote_Object_Proxy_Impl (void)
virtual CORBA::Boolean | _is_a (const CORBA::Object_ptr target, const CORBA::Char *logical_type_id, CORBA_Environment &ACE_TRY_ENV)
virtual CORBA::Boolean | _non_existent (const CORBA::Object_ptr target, CORBA_Environment &ACE_TRY_ENV)
virtual CORBA_InterfaceDef_ptr | _get_interface ( const CORBA::Object_ptr target, CORBA_Environment &ACE_TRY_ENV )

## Detailed Description

TAO_Remote_Object_Proxy_Impl.

This class implements the remote proxy for the CORBA::Object class.

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ TAO_Remote_Object_Proxy_Impl::TAO_Remote_Object_Proxy_Impl ( | void )`[inline]`

TAO_Remote_Object_Proxy_Impl::~TAO_Remote_Object_Proxy_Impl ( | void )`[virtual]`

## Member Function Documentation

CORBA_InterfaceDef_ptr TAO_Remote_Object_Proxy_Impl::_get_interface ( | const CORBA::Object_ptr target,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Object_Proxy_Impl.

CORBA::Boolean TAO_Remote_Object_Proxy_Impl::_is_a ( | const CORBA::Object_ptr target,
| const CORBA::Char * logical_type_id,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Object_Proxy_Impl.

CORBA::Boolean TAO_Remote_Object_Proxy_Impl::_non_existent ( | const CORBA::Object_ptr target,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Object_Proxy_Impl.

The documentation for this class was generated from the following files:

- Remote_Object_Proxy_Impl.h
- Remote_Object_Proxy_Impl.cpp